Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.jms
Interface SessionPoolManager

public interface SessionPoolManager
extends Remote

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `ACKNOWLEDGE_MODE_PROP`
`static java.lang.String` | `AUTO_ACKNOWLEDGE`
`static java.lang.String` | `CLIENT_ACKNOWLEDGE`
`static java.lang.String` | `CONNECTION_FACTORY_NAME_PROP`
`static java.lang.String` | `DUPS_OK_ACKNOWLEDGE`
`static java.lang.String` | `JNDI_NAME`
`static java.lang.String` | `MAX_SESSIONS_PROP`
`static java.lang.String` | `MESSAGE_LISTENER_CLASS_PROP`
`static java.lang.String` | `TRANSACTED_PROP`

Method Summary
`void` | `createQueueSessionPool(java.lang.String poolName, java.util.Properties poolProps)`
`void` | `createTopicSessionPool(java.lang.String poolName, java.util.Properties poolProps)`
`void` | `destroySessionPool(java.lang.String PoolName)`

Field Detail

### JNDI_NAME

    public static final java.lang.String JNDI_NAME

### CONNECTION_FACTORY_NAME_PROP

    public static final java.lang.String CONNECTION_FACTORY_NAME_PROP

### ACKNOWLEDGE_MODE_PROP

    public static final java.lang.String ACKNOWLEDGE_MODE_PROP

### MAX_SESSIONS_PROP

    public static final java.lang.String MAX_SESSIONS_PROP

### MESSAGE_LISTENER_CLASS_PROP

    public static final java.lang.String MESSAGE_LISTENER_CLASS_PROP

### TRANSACTED_PROP

    public static final java.lang.String TRANSACTED_PROP

### AUTO_ACKNOWLEDGE

    public static final java.lang.String AUTO_ACKNOWLEDGE

### CLIENT_ACKNOWLEDGE

    public static final java.lang.String CLIENT_ACKNOWLEDGE

### DUPS_OK_ACKNOWLEDGE

    public static final java.lang.String DUPS_OK_ACKNOWLEDGE

Method Detail

### createTopicSessionPool

    public void createTopicSessionPool(java.lang.String poolName,
                                       java.util.Properties poolProps)
                                throws javax.jms.JMSException

### createQueueSessionPool

    public void createQueueSessionPool(java.lang.String poolName,
                                       java.util.Properties poolProps)
                                throws javax.jms.JMSException

### destroySessionPool

    public void destroySessionPool(java.lang.String PoolName)
                            throws javax.jms.JMSException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD